For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update product package component

Update product package component

Required permissions: PRODUCT

put
/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
productPackageSlotUidstringRequired

Reference to a product package slot

productPackageComponentUidstringRequired

Reference to a product package component

Body
productUidstringOptionalPattern: ^[A-Za-z0-9-_]*
quantityintegerOptional
positionintegerOptional
specialPriceintegerOptional
requiredbooleanOptional
Responses
200

Example response

application/json
productPackageComponentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
positionintegerRequired
quantityintegerRequired
specialPriceinteger · nullableRequired
requiredbooleanRequired
availableStockintegerOptionalDeprecated
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
put/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid}
PUT /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 80

{
  "productUid": "text",
  "quantity": 1,
  "position": 1,
  "specialPrice": 1,
  "required": true
}
200

Example response

{
  "productPackageComponentUid": "text",
  "product": {
    "productUid": "text",
    "name": "text",
    "sku": "text",
    "brand": "text",
    "description": "text"
  },
  "position": 1,
  "quantity": 1,
  "specialPrice": 1,
  "required": true,
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?